Update a Card Program
curl --request PATCH \
--url https://api.sandbox.sudo.cards/card-programs/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Virtual Verve Debit Cards",
"description": "For Virtual Verve Debit Cards",
"status": "active",
"debitAccountId": "67974b365c184d20fc340889",
"fundingSourceId": "670cece725852ba485d745c7",
"issuerCountry": "NGA",
"currency": "NGN",
"cardBrand": "Verve",
"cardType": "virtual"
}
'import requests
url = "https://api.sandbox.sudo.cards/card-programs/{id}"
payload = {
"name": "Virtual Verve Debit Cards",
"description": "For Virtual Verve Debit Cards",
"status": "active",
"debitAccountId": "67974b365c184d20fc340889",
"fundingSourceId": "670cece725852ba485d745c7",
"issuerCountry": "NGA",
"currency": "NGN",
"cardBrand": "Verve",
"cardType": "virtual"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Virtual Verve Debit Cards',
description: 'For Virtual Verve Debit Cards',
status: 'active',
debitAccountId: '67974b365c184d20fc340889',
fundingSourceId: '670cece725852ba485d745c7',
issuerCountry: 'NGA',
currency: 'NGN',
cardBrand: 'Verve',
cardType: 'virtual'
})
};
fetch('https://api.sandbox.sudo.cards/card-programs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Card program created successfully.",
"data": {
"name": "Physical Verve Prepaid Cards",
"description": "For Physical Verve Prepaid Cards",
"reference": "250604-2156",
"status": "active",
"business": "670cec9d25852ba485d74273",
"debitAccount": "67974b365c184d20fc340889",
"fundingSource": "670cec9d25852ba485d74286",
"currency": "NGN",
"design": null,
"cardBrand": "Verve",
"cardType": "physical",
"spendingControls": {
"channels": {
"atm": true,
"pos": true,
"web": true,
"mobile": true
},
"allowedCategories": [],
"blockedCategories": [],
"spendingLimits": [
{
"amount": 1500000,
"interval": "daily",
"categories": []
}
]
},
"isDeleted": false,
"createdAt": "2025-06-04T21:05:26.115Z",
"updatedAt": null,
"deletedAt": null,
"_id": "6840b5161443c90831ba07a5",
"__v": 0
}
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}Card Programs
Update a Card Program
PATCH
/
card-programs
/
{id}
Update a Card Program
Authorizations
Path Parameters
Body
application/json
⌘I
